#define F_CPU 8000000UL

#include <avr/io.h>
#include <util/delay.h>

unsigned char getADC8(unsigned char nomeradc)
{ ADCSRA = 
    (1<<ADEN)|
    (5<<ADPS0);   // частота преобразователя Fclk/32
  ADMUX = 
    (1<<REFS0) |  // источник опорного напряжения = Vcc
    (nomeradc<<MUX0)|
    (1<<ADLAR);   // выравнивание влево 
  ADCSRA |= (1<<ADSC);
  while ((ADCSRA & _BV(ADIF)) == 0x00)
  {} 
  unsigned int _retval = ADCL;
  _retval = ADCH;
  ADCSRA = 0;
  return _retval;             // 8 разрядная шкала
}

